version: "3"
services:
  backend_server:
    build: .
    ports:
      - 4010:4010
    environment:
      APP_PORT: 4010
      DB_TYPE: sqlite
      DB_HOST: bla
      DB_PORT: bla
      DB_USER: bla
      DB_PASSWORD: bla
      DB_NAME: dev.sqlite
      NODE_ENV: production
      # APP_PORT: 4010
      # DB_TYPE: postgres
      # DB_HOST: backend_db
      # DB_PORT: 5432
      # DB_USER: lfk
      # DB_PASSWORD: changeme
      # DB_NAME: lfk
      # NODE_ENV: production
  # backend_db:
  #   image: postgres:11-alpine
  #   environment:
  #     POSTGRES_DB: lfk
  #     POSTGRES_PASSWORD: changeme
  #     POSTGRES_USER: lfk
  #   ports:
  #     - 5432:5432
